<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: VECLIST Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_v_e_c_l_i_s_t.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">VECLIST Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="vectors_8h_source.html">vectors.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a0399eb78125961fc22085d4aac6b0d15"><td class="memItemLeft" align="right" valign="top">const void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_v_e_c_l_i_s_t.html#a0399eb78125961fc22085d4aac6b0d15">class</a></td></tr>
<tr class="separator:a0399eb78125961fc22085d4aac6b0d15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a439227feff9d7f55384e8780cfc2eb82"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_v_e_c_l_i_s_t.html#a439227feff9d7f55384e8780cfc2eb82">size</a></td></tr>
<tr class="separator:a439227feff9d7f55384e8780cfc2eb82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa11799c06f6657976df502cff216088e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="vectors_8h.html#a18ae7a1571897164df66eb4070266d3c">VecClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_v_e_c_l_i_s_t.html#aa11799c06f6657976df502cff216088e">start</a></td></tr>
<tr class="separator:aa11799c06f6657976df502cff216088e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e2e21dc4e172d02cc4396b2f5a187ac"><td class="memItemLeft" align="right" valign="top"><a class="el" href="vectors_8h.html#a18ae7a1571897164df66eb4070266d3c">VecClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_v_e_c_l_i_s_t.html#a3e2e21dc4e172d02cc4396b2f5a187ac">end</a></td></tr>
<tr class="separator:a3e2e21dc4e172d02cc4396b2f5a187ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0399eb78125961fc22085d4aac6b0d15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0399eb78125961fc22085d4aac6b0d15">&#9670;&nbsp;</a></span>class</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const void* class</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e2e21dc4e172d02cc4396b2f5a187ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e2e21dc4e172d02cc4396b2f5a187ac">&#9670;&nbsp;</a></span>end</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vectors_8h.html#a18ae7a1571897164df66eb4070266d3c">VecClass</a>* end</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a439227feff9d7f55384e8780cfc2eb82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a439227feff9d7f55384e8780cfc2eb82">&#9670;&nbsp;</a></span>size</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int size</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa11799c06f6657976df502cff216088e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa11799c06f6657976df502cff216088e">&#9670;&nbsp;</a></span>start</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vectors_8h.html#a18ae7a1571897164df66eb4070266d3c">VecClass</a>* start</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>entities/vectors/include/<a class="el" href="vectors_8h_source.html">vectors.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_v_e_c_l_i_s_t.html">VECLIST</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
